/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.text;

import junit.framework.TestCase;

public class StringsTest extends TestCase {

	public void testRemoveWhitespace() {
		assertEquals("text", Strings.removeWhitespace(" text "));
		assertEquals("test", Strings.removeWhitespace(" test \n"));
		assertEquals("test text", Strings.removeWhitespace(" test text"));
		assertEquals("test text", Strings.removeWhitespace(" test  text"));
		assertEquals("test text", Strings.removeWhitespace(" test \r\n \n text"));
		assertEquals("test text", Strings.removeWhitespace(" test \t text"));
		assertEquals("test text", Strings.removeWhitespace(" test &nbsp;text"));
	}
}
